gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-exchange] branch master updated (b58410ce -> 135d365


From: gnunet
Subject: [GNUnet-SVN] [taler-exchange] branch master updated (b58410ce -> 135d3658)
Date: Fri, 23 Aug 2019 15:21:29 +0200

This is an automated email from the git hooks/post-receive script.

grothoff pushed a change to branch master
in repository exchange.

    from b58410ce full audit generation in test
     new 0d230131 check required commands exist
     new 135d3658 integrate auditor test into build system

The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.


Summary of changes:
 src/auditor/.gitignore      |  8 ++++++++
 src/auditor/Makefile.am     |  6 +++++-
 src/auditor/test-auditor.sh | 13 +++++++++++--
 3 files changed, 24 insertions(+), 3 deletions(-)

diff --git a/src/auditor/.gitignore b/src/auditor/.gitignore
index d92c3a3f..409175fb 100644
--- a/src/auditor/.gitignore
+++ b/src/auditor/.gitignore
@@ -1,2 +1,10 @@
 taler-auditor-httpd
+taler-auditor
+taler-wire-auditor
 taler-auditor-exchange
+test-audit.json
+test-report.aux
+test-report.pdf
+test-report.tex
+test-wire-audit.json
+texput.aux
diff --git a/src/auditor/Makefile.am b/src/auditor/Makefile.am
index 4da58297..a31705f9 100644
--- a/src/auditor/Makefile.am
+++ b/src/auditor/Makefile.am
@@ -98,7 +98,11 @@ taler_auditor_exchange_LDADD = \
   $(top_builddir)/src/auditordb/libtalerauditordb.la \
   -lgnunetutil $(XLIB)
 
+check_SCRIPTS = \
+  test-auditor.sh
 
+TESTS = $(check_SCRIPTS)
 
 EXTRA_DIST = \
-  auditor.conf
+  auditor.conf \
+  $(check_SCRIPTS)
diff --git a/src/auditor/test-auditor.sh b/src/auditor/test-auditor.sh
index 48c7d0df..8bf54e5d 100755
--- a/src/auditor/test-auditor.sh
+++ b/src/auditor/test-auditor.sh
@@ -7,11 +7,19 @@
 # Requires 'jq' tool and Postgres superuser rights!
 set -eu
 
+# test required commands exist
+echo "Testing for jq"
+jq -h > /dev/null || exit 77
+echo "Testing for taler-bank-manage"
+taler-bank-manage -h >/dev/null || exit 77
+echo "Testing for pdflatex"
+which pdflatex > /dev/null || exit 77
+
 echo "Database setup"
 DB=taler-auditor-test
 dropdb $DB 2> /dev/null || true
 createdb -T template0 $DB || exit 77
-jq -h > /dev/null || exit 77
+
 # Import pre-generated database, -q(ietly) using single (-1) transaction
 psql $DB -q -1 -f ../benchmark/auditor-basedb.sql > /dev/null
 MASTER_PUB=`cat ../benchmark/auditor-basedb.mpub`
@@ -19,7 +27,7 @@ MASTER_PUB=`cat ../benchmark/auditor-basedb.mpub`
 # Launch bank
 echo "Launching bank"
 taler-bank-manage -c test-auditor.conf serve-http 2>/dev/null >/dev/null &
-sleep 10
+
 
 # Run the auditor!
 echo "Running audit(s)"
@@ -32,6 +40,7 @@ kill `jobs -p`
 
 echo "TeXing"
 ../../contrib/render.py test-audit.json test-wire-audit.json < 
../../contrib/auditor-report.tex.j2 > test-report.tex
+
 pdflatex test-report.tex >/dev/null
 pdflatex test-report.tex >/dev/null
 

-- 
To stop receiving notification emails like this one, please contact
address@hidden.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]